# W tej wersji:
# - do numeracji używam enumerate
# - wyrównuję numery do szerokości 6 znaków
# - ponumerowane linie zapisujemy do pliku
with open('pan_tadeusz.txt', mode='r', encoding='utf-8') as wejscie,\
     open('ponumerowany.txt', mode='w', encoding='utf-8') as wyjscie:
    for nr, linia in enumerate(wejscie, 1):
        print(f'{nr:6}: {linia}', end='', file=wyjscie)

print('Liczba wszystkich linii:', nr)
